import { ChangeDetectorRef, ElementRef, OnInit } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { FlexyForm, FlexyFormComplexFieldLayoutJsonSchema, FlexyFormFieldLayoutSchema } from '@ng-flexy/form';
import { FlexyFormJsonMapperService } from '@ng-flexy/form';
import { FlexyToastsService } from '@ng-flexy/toasts';
import { FlexyLoggerService } from '@ng-flexy/core';
import { CdkDragDrop } from '@angular/cdk/drag-drop';
import * as i0 from "@angular/core";
export declare class FlexyFormArrayComponent implements OnInit {
    private jsonMapperService;
    private toasts;
    private changeDetectorRef;
    private translate;
    private logger;
    private elementRef;
    layoutSchema: FlexyFormFieldLayoutSchema;
    form: FlexyForm;
    legend: string;
    jsonSchema: FlexyFormComplexFieldLayoutJsonSchema;
    readonly: boolean;
    addable: boolean;
    draggable: boolean;
    removable: boolean;
    removeAny: boolean;
    isRequired: boolean;
    showAddButton: boolean;
    showRemoveButton: boolean;
    constructor(jsonMapperService: FlexyFormJsonMapperService, toasts: FlexyToastsService, changeDetectorRef: ChangeDetectorRef, translate: TranslateService, logger: FlexyLoggerService, elementRef: ElementRef);
    ngOnInit(): void;
    addNew(): void;
    removeItem(index: number): void;
    removeLast(): void;
    removeLastItem(): void;
    maxItemsExceeded(): boolean;
    minItemsExceeded(): boolean;
    focusOnAdded(): void;
    drop(event: CdkDragDrop<any>): void;
    isDraggable(): boolean;
    private enableButtons;
    static ɵfac: i0.ɵɵFactoryDef<FlexyFormArrayComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<FlexyFormArrayComponent, "flexy-form-array", never, { "layoutSchema": "layoutSchema"; "form": "form"; "legend": "legend"; "jsonSchema": "jsonSchema"; "readonly": "readonly"; "addable": "addable"; "draggable": "draggable"; "removable": "removable"; "removeAny": "removeAny"; }, {}, never, never>;
}
